> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audit Events

> Query audit events with filters. Paginated, org-scoped.



## OpenAPI

````yaml /openapi.json get /v1/audit/events
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/audit/events:
    get:
      tags:
        - audit
      summary: List Audit Events
      description: Query audit events with filters. Paginated, org-scoped.
      operationId: list_audit_events_v1_audit_events_get
      parameters:
        - name: event_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event Type
        - name: resource_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Resource Type
        - name: resource_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Resource Id
        - name: actor_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Actor Id
        - name: since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Since
        - name: until
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Until
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditEventListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AuditEventListResponse:
      properties:
        events:
          items:
            $ref: '#/components/schemas/AuditEventResponse'
          type: array
          title: Events
        total:
          type: integer
          title: Total
      type: object
      required:
        - events
        - total
      title: AuditEventListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuditEventResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          title: Organization Id
        event_type:
          type: string
          title: Event Type
        resource_type:
          type: string
          title: Resource Type
        resource_id:
          type: string
          title: Resource Id
        actor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Actor Id
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip Address
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
        detail:
          anyOf:
            - type: object
            - type: 'null'
          title: Detail
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - organization_id
        - event_type
        - resource_type
        - resource_id
        - created_at
      title: AuditEventResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````